Overview | Modules | Class Hierarchy | Classes | Members

# tlp::VoronoiDiagram Class Reference
[Basic]

`#include <Delaunay.h>`

List of all members.

## Public Types

- typedef Coord Vertex

## Public Attributes

- std::vector< Vertex > vertices
- std::vector< Edge > edges
- std::vector< Ray > rays
- std::vector< Cell > cells

## Classes

- class Cell
- class Edge
- class Ray

## Member Typedef Documentation

typedef Coord tlp::VoronoiDiagram::Vertex

## Member Data Documentation

std::vector<Cell> tlp::VoronoiDiagram::cells

std::vector<Edge> tlp::VoronoiDiagram::edges

std::vector<Ray> tlp::VoronoiDiagram::rays

std::vector<Vertex> tlp::VoronoiDiagram::vertices

Tulip Software by LaBRI Visualization Team 2001 - 2010